svn commit: r301480 - in head/etc: defaults rc.d
Marcelo Araujo
araujo at FreeBSD.org
Mon Jun 6 03:55:01 UTC 2016
Author: araujo
Date: Mon Jun 6 03:55:00 2016
New Revision: 301480
URL: https://svnweb.freebsd.org/changeset/base/301480
Log:
Add rc.d script for ypldap(8).
Added:
head/etc/rc.d/ypldap (contents, props changed)
Modified:
head/etc/defaults/rc.conf
Modified: head/etc/defaults/rc.conf
==============================================================================
--- head/etc/defaults/rc.conf Mon Jun 6 02:43:41 2016 (r301479)
+++ head/etc/defaults/rc.conf Mon Jun 6 03:55:00 2016 (r301480)
@@ -392,6 +392,8 @@ nis_ypxfrd_enable="NO" # Run rpc.ypxfrd
nis_ypxfrd_flags="" # Flags to rpc.ypxfrd (if enabled).
nis_yppasswdd_enable="NO" # Run rpc.yppasswdd at boot time (or NO).
nis_yppasswdd_flags="" # Flags to rpc.yppasswdd (if enabled).
+nis_ypldap_enable="NO" # Run ypldap at boot time (or NO).
+nis_ypldap_flags="" # Flags to ypldap (if enabled).
### SNMP daemon ###
# Be sure to understand the security implications of running SNMP v1/v2
Added: head/etc/rc.d/ypldap
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/etc/rc.d/ypldap Mon Jun 6 03:55:00 2016 (r301480)
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: ypldap
+# REQUIRE: ypserv
+# BEFORE: DAEMON
+# KEYWORD: shutdown
+
+. /etc/rc.subr
+
+name="ypldap"
+rcvar="nis_ypldap_enable"
+
+load_rc_config $name
+
+command="/usr/sbin/${name}"
+command_args="${nis_ypldap_flags}"
+
+start_precmd="ypldap_precmd"
+
+ypldap_precmd()
+{
+ force_depend ypserv nis_server || return 1
+}
+run_rc_command "$1"
More information about the svn-src-all
mailing list